Method: inventorySources.create

  • This documentation describes how to create a new inventory source using a POST request to https://displayvideo.googleapis.com/v1beta2/inventorySources.

  • The request requires either a partnerId or advertiserId query parameter to identify the entity within which the request is being made.

  • The request body should contain an instance of InventorySource.

  • A successful response will return a newly created instance of InventorySource in the response body.

  • The request requires the OAuth scope https://www.googleapis.com/auth/display-video.

Creates a new inventory source. Returns the newly created inventory source if successful.

HTTP request

POST https://displayvideo.googleapis.com/v1beta2/inventorySources

The URL uses gRPC Transcoding syntax.

Query parameters

Parameters

Union parameter accessor. Required.

Identifies which DV360 entity the request is being made within. accessor can be only one of the following:

partnerId

string (int64 format)

The ID of the partner that the request is being made within.

advertiserId

string (int64 format)

The ID of the advertiser that the request is being made within.

Request body

The request body contains an instance of InventorySource.

Response body

If successful, the response body contains a newly created instance of InventorySource.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.